/* http://meyerweb.com/eric/tools/css/reset/ 
   v2.0 | 20110126
   License: none (public domain)
*/

html, body, div, span, applet, object, iframe,
h1, h2, h3, h4, h5, h6, p, blockquote, pre,
a, abbr, acronym, address, big, cite, code,
del, dfn, em, img, ins, kbd, q, s, samp,
small, strike, strong, sub, sup, tt, var,
b, u, i, center,
dl, dt, dd, ol, ul, li,
fieldset, form, label, legend,
table, caption, tbody, tfoot, thead, tr, th, td,
article, aside, canvas, details, embed, 
figure, figcaption, footer, header, hgroup, 
menu, nav, output, ruby, section, summary,
time, mark, audio, video {
	margin: 0;
	padding: 0;
	border: 0;
	font-size: 100%;
	font: inherit;
	vertical-align: baseline;
}
/* HTML5 display-role reset for older browsers */
article, aside, details, figcaption, figure, 
footer, header, hgroup, menu, nav, section {
	display: block;
}
body {
	line-height: 1;
}
ol, ul {
	list-style: none;
}
blockquote, q {
	quotes: none;
}
blockquote:before, blockquote:after,
q:before, q:after {
	content: '';
	content: none;
}
table {
	border-collapse: collapse;
	border-spacing: 0;
}

/* BEGINING OF MAIN STYLING 
*/

:root {
  --background: #b6c0ec;
  --background-accent: #43c8da;
  --accent: #ff8800; /*#ffa585;*/
  --dark-super-accent: #b8746c;
  --dark-accent: #392C2A;
  --max-width: 900px;
}

html {
  scroll-behavior: smooth;
}

body {
  overflow-x: hidden;
  background-color: var(--background);
  margin: 0 0 0 0;
  font-family: 'Montserrat', sans-serif;
  color: #eeeeee;
  font-size: 1.2em;
  line-height: 1.3;
}

b {
  font-weight: 700;
}

.background {
  display: flex;
  justify-content: center;
  align-items: stretch;
  position: fixed;
  top: 0;
  width: 100vw;
  height: 100vh;
  z-index: -99;
  overflow: hidden;
}

.background_item {
  /*background-image: url("../img/background_hands_water.png");*/
  background-image: url("../img/tree2.jpg");
  background-repeat: no-repeat;
  background-size: cover;
  height: 100%;
  width: 100%;
  min-width: 1024px;
  min-height: 768px;
}

a:link, a:visited {
  color: var(--accent);
  background-color: transparent;
  text-decoration: none;
}

a:hover, a:active {
  color: yellow;
  background-color: transparent;
  text-decoration: underline;
}

p {
  margin: 1em 0 0 0;
}

.small_text {
  font-size: 75%;
}

h2 {
  font-size: larger;
  font-weight: bold;
}

h10 {
  color: var(--accent);
  font-size: 120%;
}

#section_moto {
  font-family: 'Raleway', sans-serif;
  height: 100vh;
  width: 100vw;
  position: relative;
  overflow: hidden;
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
}

.container_moto, .container2_moto {
  max-width: 80vw;
/*  height: 18vw; */
  color: #eeeeee;
  display: flex;
  flex-direction: row;
  flex-wrap: nowrap;
}

#section_moto p {
  margin: 0
}  

@media screen and (max-width: 1100px) {
  .container_moto {
    flex-direction: column;
  }
}

@media screen and (max-width: 600px) {
  .container2_moto {
    flex-direction: column;
  }
}

#section_moto .big_text {
  font-size: clamp(1.2rem, 1.635rem + 3.846vw, 5rem);
}

#section_moto .smaller_text {
  font-size: clamp(1.5rem, 0.981rem + 2.308vw, 3rem);
  text-align: center;
}
  

.moto_item_1 {
  align-self: flex-start;
}
.moto_item_2 {
  align-self: center;
  text-align: center;
}
.moto_item_3 {
  align-self: flex-end;
}

#section_content {
    background-color: var(--dark-accent);
    opacity: 0.8;
    width: 100vw;
    position: relative;
    overflow: hidden;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content:center;
  }


.button_showmore {
  color: var(--accent);
  background: none !important;
  border: none;
  padding: 0 !important;
  font-family: inherit;
  font-size: smaller;
  text-decoration: none;
  cursor: pointer;
  margin: 0.7em 0 0 0;
}

.show_less {
  overflow: hidden;
  line-height: 1.3em;
  height: 7.5em;
  transition: max-height 2s;
}

.show_more {
  height: 3.8em;
  transition: max-height 2s;
}

/* NABIDKA 
Flex uroven 1 - pro hlavni kategorie
Flex uroven 2 - pro obrazek + text
*/

section {
  margin: 1.5em 0 0 0;
  display: flex;
  flex-direction: column;
  flex-wrap: nowrap;
  align-items: center;
  scroll-margin-top: 60px;
}

.container1 {
/*  background-color: var(--background-accent);
  box-shadow: 10px 10px 10px #000;
  border-radius: 0.5em;*/
  width: 90vw;
  max-width: var(--max-width);
	padding: 0 0 0 0;
	display: flex;
	justify-content: flex-start;
  align-items: stretch;
	flex-wrap: nowrap;
  flex-direction: column;
  margin: 0 auto;
}

.container2 {
  max-width: var(--max-width);
  padding: 0 0 0 0;
	display: flex;
	justify-content: space-between;
  flex-direction: row;
	flex-wrap: wrap;
  margin: 0 auto;
}

.container3 {
  max-width: var(--max-width);
	padding: 0 0 0 0;
	display: flex;
	justify-content: space-between;
  flex-direction: row;
	flex-wrap: nowrap;
  margin: 0 auto;
}

.container4 {
    background-color: var(--dark-super-accent);
    color: black;
    width: 90vw;
    max-width: var(--max-width);
    padding: 1em 0 0 0;
    display: flex;
    justify-content: flex-start;
    align-items: stretch;
    flex-wrap: nowrap;
    flex-direction: column;
    margin: 0 auto;
  }
  
.item1 {
  background-color: inherit ;
	padding: 0;
	margin: 0 1em 1em 1em;
	justify-content: left;
	flex: 0 1 auto;
  scroll-margin-top: 60px;
}

.item2 {
  /*background-color: var(--background-accent);*/
	width: 330px;
  padding: 0;
	margin: 1em 1em 0 0;
	justify-content: left;
	flex: 0 1 auto;
}

.item_mapa {
  /*background-color: var(--background-accent);*/
	justify-content: center;
	flex: 0 1 auto;
  margin: auto;
  padding: 1em;
}

.item_obr {
  width: 300px;
  /*background-color: var(--background-accent);*/
	justify-content: center;
	flex: 0 1 auto;
  margin: 1em 1em 1em 0;
  padding: 0;
}

.underline {
  margin: 0.5em 0 0 0;
  border: 0;
  height: 0.2em;
  background: var(--accent);
  width: 20px
}

.photo_placeholder {
  background-repeat: no-repeat;
  background-size: cover;
  height: 400px;
  width: 300px;
  opacity: 1;
}
.photo_blanka {
  position: absolute;
  background-image: url("../img/b_new.jpg");
  background-repeat: no-repeat;
  background-size: contain;
  height: 400px;
  width: 300px;
  opacity: 1;
  z-index: 9;
}

/* HORNI MENU */

.topnav {
  position: fixed;
  z-index: 10;
  top: 0;
  width: 100%;
  overflow: hidden;
  background-color: var(--dark-accent);
  box-shadow: 0 1px 10px black;
}

.scrolled-down{
  transform:translateY(-100%); 
  transition: all 0.2s ease;
}

.scrolled-up{
  transform:translateY(0); 
  transition: all 0.2s ease;
}

.topnav p {
  margin: 0;
  float: right;
  color: #f2f2f2;
  text-align: center;
  padding: 14px 16px;
  text-decoration: none;
  font-weight: normal;
}

.topnav a {
  float: left;
  display: block;
  color: #f2f2f2;
  text-align: center;
  padding: 14px 16px;
  text-decoration: none;
}
  
.topnav a:hover {
  background-color: #ddd;
  color: black;
}
  
.topnav a.active {
  background-color: #04AA6D;
  color: white;
}

.menuIcon  {
  display: none;
  color: #f2f2f2 !important;
}

.xIcon {
  display: none;
  color: #f2f2f2 !important;
}

.ham {
  display: none;
  /*float: left;*/
  background: none!important;
  border: none;
  margin: 1em;
  padding: 0!important;
  font-family: inherit;
  text-decoration: none;
  cursor: pointer;
}

.icon-size {
  font-size: 24px !important;
}

.logo_wide {
  display: block;
}

.logo_narrow {
  display: none;
}


@media screen and (max-width: 750px) {
  .ham {
    display: block;
  }
 
  .topnav a {display: none;}
  
  .moto_small_text {
    font-size: 10vw;
    margin-top:12vh
  }
  
  .topnav.responsive a {
    float: none;
    display: block;
    text-align: left;
  }



/*
  .topnav a.icon {
    float: right;
    display: block;
  }

  .topnav.responsive {position: relative;}

  .topnav.responsive .icon {
    position: absolute;
    right: 0;
    top: 0;
  }
*/
  
}